Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application.action
Class ActionInitializer

public class ActionInitializer

This class contains common rutines to init actions by the data from the corresponding MessageBundle.

Method Summary
`static URL` | `getResource(String key)` Get URL for the specified key using loader class.
`static String` | `getResourcePath(String name)`
`static void` | `init(String resourceBundleName, Class l)` Inits ActionInitializer with the specified ResourceBundle name and class, used for resource loading.
`static void` | `init(ResourceBundle r, Class l)` Inits ActionInitializer with the specified ResourceBundle and class, used for resource loading.
`static void` | `initAction(Action action, String key)` Init action by the data from the MessageBundle.
`static void` | `initActionValue(Action action, String actionKey, String resourceKey)` Init action value with the specified actionKey by the string data from the message bundle with the corresponding key.
`static void` | `initResourceBundle(String resourceBundlename, Class l)` Creates resourceBundle for the specified name and default locale.

Method Detail

### getResource

    public static URL getResource(String key)

  Get URL for the specified key using loader class.

### getResourcePath

    public static String getResourcePath(String name)

### init

    public static void init(String resourceBundleName, Class l)

  Inits ActionInitializer with the specified ResourceBundle name and class, used for resource loading.

### init

    public static void init(ResourceBundle r, Class l)

  Inits ActionInitializer with the specified ResourceBundle and class, used for resource loading.

### initAction

    public static void initAction(Action action, String key)

  Init action by the data from the MessageBundle.

### initActionValue

    public static void initActionValue(Action action, String actionKey, String resourceKey)

  Init action value with the specified actionKey by the string data from the message bundle with the corresponding key.

### initResourceBundle

    public static void initResourceBundle(String resourceBundlename, Class l)

  Creates resourceBundle for the specified name and default locale.

Association Links

to Class java.util.ResourceBundle

to Class java.lang.Class

to Class org.apache.log4j.Category

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM